#include <stdio.h>

int main(int argc, const char *argv[])
	{
	FILE *fp;
	unsigned char b[8];
	int n;
	if ( argc != 2 )
		return 1;
	if ( (fp = fopen(argv[1], "rb")) == NULL )
		return 2;
	while ( (n = fread(b, 1, 8, fp)) > 0 )
		{
		int i;
		printf("\t");
		for ( i = 0; i < n; i++ )
			printf("0x%02x,", b[i]);
		printf("\n");
		}
	fclose(fp);
	return 0;
	}
